<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.system.basicData.mapper.CrmAdministrativeLicenseMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.zksy.system.basicData.domain.CrmAdministrativeLicense">
        <id column="id" property="id" />
        <result column="administrative_party_name" property="administrativePartyName" />
        <result column="administrative_party_type" property="administrativePartyType" />
        <result column="unified_social_credit_code" property="unifiedSocialCreditCode" />
        <result column="business_registration_number" property="businessRegistrationNumber" />
        <result column="legal_representative" property="legalRepresentative" />
        <result column="legal_representative_id_type" property="legalRepresentativeIdType" />
        <result column="legal_representative_id_other_type_desc" property="legalRepresentativeIdOtherTypeDesc" />
        <result column="legal_representative_id_number" property="legalRepresentativeIdNumber" />
        <result column="id_type" property="idType" />
        <result column="id_other_type_desc" property="idOtherTypeDesc" />
        <result column="administrative_license_decision_doc_name" property="administrativeLicenseDecisionDocName" />
        <result column="administrative_license_decision_doc_number" property="administrativeLicenseDecisionDocNumber" />
        <result column="license_type" property="licenseType" />
        <result column="license_type_explain" property="licenseTypeExplain" />
        <result column="license_certificate_name" property="licenseCertificateName" />
        <result column="license_number" property="licenseNumber" />
        <result column="license_content" property="licenseContent" />
        <result column="license_decision_date" property="licenseDecisionDate" />
        <result column="valid_from" property="validFrom" />
        <result column="valid_until" property="validUntil" />
        <result column="licensing_authority" property="licensingAuthority" />
        <result column="licensing_authority_unified_social_credit_code" property="licensingAuthorityUnifiedSocialCreditCode" />
        <result column="current_status" property="currentStatus" />
        <result column="remarks" property="remarks" />
    </resultMap>


</mapper>
